# Class LoadingComponent

#### Implements

- OnInit
- OnDestroy

- Defined in loading/loading.component.ts:24

#####
Index

### Constructors

constructor

### Properties

authentication
router
subscription?

### Methods

ngOnDestroy
ngOnInit

##
Constructors

### constructor

- new LoadingComponent(
  authentication: RxapAuthenticationService,
  router: Router,
  ): LoadingComponent

  #### Parameters

  - authentication: RxapAuthenticationService
  - router: Router

  #### Returns LoadingComponent

  - Defined in loading/loading.component.ts:27

##
Properties

### `Readonly` authentication

authentication: RxapAuthenticationService

- Defined in loading/loading.component.ts:29

### `Readonly` router

router: Router

- Defined in loading/loading.component.ts:31

### `Optional` subscription

subscription?: Subscription

- Defined in loading/loading.component.ts:25

##
Methods

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in loading/loading.component.ts:47

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in loading/loading.component.ts:35